---

#! /zdci/db/releases/20251122184810/lkp-src/jobs/nvml.yaml
suite: nvml
testcase: nvml
category: functional
need_memory: 4G
nvml:
  test: non-pmem
  group: util
job_origin: nvml.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-hsw-d01
tbox_group: lkp-hsw-d01
job_file: "/lkp/jobs/scheduled/lkp-hsw-d01/nvml-util-non-pmem-debian-13-x86_64-20250902.cgz-45f3d9974e38-20251125-90233-f2lmgn-0.yaml"
id: '008efb24e280a99dbfba7a563b926ee9c2e60e65'
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20251122184810/lkp-src/hosts/lkp-hsw-d01
model: Haswell
nr_node: 1
nr_cpu: 8
memory: 8G
nr_ssd_partitions: 1
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC12HHHW-part*"
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BB800G4_PHWL42040015800RGN-part2"
swap_partitions:
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BB800G4_PHWL42040015800RGN-part1"
brand: Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz
ucode: '0x28'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- ATA_SFF: "y"
- ATA_BMDMA: "y"
- ATA_PIIX
- DRM_I915

#! /zdci/db/releases/20251122184810/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20251122184810/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20251122184810/lkp-src/programs/nvml/include
need_kconfig:
- NVDIMM_PFN: "y"
- MMU: "y"
- FS_DAX: "y"
- ZONE_DEVICE: "y"

#! /zdci/db/releases/20251122184810/lkp-src/include/queue/cyclic
commit: 45f3d9974e382495db777e0290a32ba0cd6f454b
kconfig: x86_64-rhel-9.4-func
enqueue_time: 2025-11-25 10:08:25.565825986 +08:00
_rt: "/result/nvml/util-non-pmem/lkp-hsw-d01/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-func/gcc-14/45f3d9974e382495db777e0290a32ba0cd6f454b"
compiler: gcc-14
head_commit: f4f4d69476b2181db9d7097269d0c6c1608574b2
base_commit: 6a23ae0a96a600d1d12557add110e0bb6e32730c
branch: linux-devel/devel-hourly-20251118-225732
rootfs: debian-13-x86_64-20250902.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20251124-203858"
arch: x86_64
max_uptime: 14400
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/nvml/util-non-pmem/lkp-hsw-d01/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-func/gcc-14/45f3d9974e382495db777e0290a32ba0cd6f454b/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-func/gcc-14/45f3d9974e382495db777e0290a32ba0cd6f454b/vmlinuz-6.18.0-rc5-00215-g45f3d9974e38
- branch=linux-devel/devel-hourly-20251118-225732
- job=/lkp/jobs/scheduled/lkp-hsw-d01/nvml-util-non-pmem-debian-13-x86_64-20250902.cgz-45f3d9974e38-20251125-90233-f2lmgn-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-func
- commit=45f3d9974e382495db777e0290a32ba0cd6f454b
- intremap=posted_msi
- max_uptime=14400
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-func/gcc-14/45f3d9974e382495db777e0290a32ba0cd6f454b/modules.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20250902.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/nvml_20250918.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/nvml-x86_64-4cbe1fd37-1_20251013.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20251124122818/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-hsw-d01/nvml-util-non-pmem-debian-13-x86_64-20250902.cgz-45f3d9974e38-20251125-90233-f2lmgn-0.cgz"
last_kernel: 4.20.0

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-func/gcc-14/45f3d9974e382495db777e0290a32ba0cd6f454b/vmlinuz-6.18.0-rc5-00215-g45f3d9974e38"
result_root: "/result/nvml/util-non-pmem/lkp-hsw-d01/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-func/gcc-14/45f3d9974e382495db777e0290a32ba0cd6f454b/0"
user: lkp

#! /zdci/db/releases/20251124222635/lkp-src/include/site/shz
dequeue_time: 2025-11-25 10:40:02.182646964 +08:00
job_state: running
